ResponseWriterCallback (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.functional.ResponseWriterCallback class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.functional
Class ResponseWriterCallback

    java.lang.Object
      org.mule.tck.functional.CounterCallback
          org.mule.tck.functional.ResponseWriterCallback

All Implemented Interfaces:
  EventCallback

    public class ResponseWriterCallback

extends CounterCallback

A test callback that writes the results of a service invocation to the response output stream of the event This should only be used when testing Asynchronous calls with the `FunctionalTestComponent` otherwise you will get duplicate messages, since both this class and the `FunctionalTestComponent` will write a return message back to the callee.

See Also:
  `FunctionalTestComponent`

Constructor Summary
`ResponseWriterCallback()`

Method Summary
`void` | `eventReceived(MuleEventContext context, Object component)`

Methods inherited from class org.mule.tck.functional.CounterCallback
`getCallbackCount, incCallbackCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseWriterCallback

    public ResponseWriterCallback()

Method Detail

### eventReceived

    public void eventReceived(MuleEventContext context,
                              Object component)
                       throws Exception

  Specified by:
    `eventReceived` in interface `EventCallback`
  Overrides:
    `eventReceived` in class `CounterCallback`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.